/*------------------------------------------------------------------------------------
	ファイル名の解析や分離結合をするユーティリティです。
	ファイル名に使える文字コードは$20〜$7F,$B0〜$DFから".:\"を除いたものです。
	なお、日本語には対応していません。
	ピリオドを拡張子の区切りとして認識します。マルチピリオドには対応していません。
------------------------------------------------------------------------------------*/

#ifndef _NWFILENAME_H_
#define _NWFILENAME_H_

#ifdef __cplusplus
extern "C" {
#endif

/*----------------------------------------------------------------------------------*/
extern void nwExtractName( const char *pInput,
							char *pDrive, char *pPath, char *pFile, char *pExt );
extern void nwGetDriveName( const char *pInput, char *pDrive );
extern void nwGetPathName( const char *pInput, char *pPath );
extern void nwGetFileName( const char *pInput, char *pFile );
extern void nwGetExtName( const char *pInput, char *pExt );
extern int nwCheckStr( const char *StrA, const char *StrB );
/*----------------------------------------------------------------------------------*/
#ifdef __cplusplus
}
#endif
#endif
